package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 类目表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-24
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvAdminCategoryDao;
import com.heyu.api.data.entity.vv.VvAdminCategoryEntity;
import com.heyu.api.data.service.vv.VvAdminCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvAdminCategoryServiceImpl extends ServiceImpl<VvAdminCategoryDao, VvAdminCategoryEntity> implements VvAdminCategoryService {


    @Autowired
	private VvAdminCategoryDao vvAdminCategoryDao;



	@Override
	public VvAdminCategoryEntity selectVvAdminCategoryById(Long id){
		return vvAdminCategoryDao.selectVvAdminCategoryById(id);
	}



	@Override
	public Long insertVvAdminCategory(VvAdminCategoryEntity vvAdminCategory){
		return vvAdminCategoryDao.insertVvAdminCategory(vvAdminCategory);
	}



	@Override
	public Long insertOrUpdateVvAdminCategory(VvAdminCategoryEntity vvAdminCategory){
		return vvAdminCategoryDao.insertOrUpdateVvAdminCategory(vvAdminCategory);
	}



	@Override
	public int updateVvAdminCategoryById(VvAdminCategoryEntity vvAdminCategory){
		return vvAdminCategoryDao.updateVvAdminCategoryById(vvAdminCategory);
	}



	@Override
	public int updateCoverVvAdminCategoryById(VvAdminCategoryEntity vvAdminCategory){
		return vvAdminCategoryDao.updateCoverVvAdminCategoryById(vvAdminCategory);
	}



	@Override
	public int deleteVvAdminCategoryById(Long id){
		return vvAdminCategoryDao.deleteVvAdminCategoryById(id);
	}



}
